PETSc version 3.17.4
Fix/Edit manual page

# DMStagRestoreProductCoordinateArraysRead

restore local product array access, read-only

### Synopsis

    PetscErrorCode DMStagRestoreProductCoordinateArraysRead(DM dm,void *arrX,void *arrY,void *arrZ)

Logically Collective

### Input Parameter

| dm | - the DMStag object

### Output Parameters

| arrX,arrY,arrZ | - local 1D coordinate arrays

### See Also

DMSTAG, DMStagGetProductCoordinateArrays(), DMStagGetProductCoordinateArraysRead()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex2.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages